Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class RefreshConnectionsRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.RefreshConnectionsRequest

public class RefreshConnectionsRequest
extends Request

A request to refresh the connections. This request could have different options indicating which or how the connections should be refreshed. Or we could have different types depending on what type of relationships to refresh.

Constructor Summary
`RefreshConnectionsRequest(java.util.List shapes)` Constructor.
`RefreshConnectionsRequest(java.util.List shapes, boolean filter)` Constructor.

Method Summary
`java.util.List` `getShapes()` Method getShapes.
`boolean` `isFilter()` Returns if filtering is turned on or off.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshConnectionsRequest

    public RefreshConnectionsRequest(java.util.List shapes)

  Constructor.

Parameters:
  `shapes` - list of the view objects in `IAdaptable` form

### RefreshConnectionsRequest

    public RefreshConnectionsRequest(java.util.List shapes,
                                     boolean filter)

  Constructor. You can explicitly set the filtering with this constructor.

Parameters:
  `shapes` - list of the view objects in `IAdaptable` form
  `filter` - true to turn on filtering, false to turn it off

Method Detail

### getShapes

    public java.util.List getShapes()

  Method getShapes.

  Returns:
    List the list of `IAdaptable` shapes

### isFilter

    public boolean isFilter()

  Returns if filtering is turned on or off.

  Returns:
    true if filtering is turned on, false if it is turned off

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.